Package org.apache.qpid.proton.amqp.transport

# Class Disposition

java.lang.Object
org.apache.qpid.proton.amqp.transport.Disposition

All Implemented Interfaces:
  `FrameBody`

public final class Disposition extends Object implements FrameBody

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.amqp.transport.FrameBody

`FrameBody.FrameBodyHandler<E>`

## Constructor Summary

Constructors
Constructor
Description
`Disposition()`
`Disposition(Disposition other)`

## Method Summary

Modifier and Type
Method
Description
`Disposition`
`copy()`
`boolean`
`getBatchable()`
`UnsignedInteger`
`getFirst()`
`UnsignedInteger`
`getLast()`
`Role`
`getRole()`
`boolean`
`getSettled()`
`DeliveryState`
`getState()`
`<E> void`
`invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)`
`void`
`setBatchable(boolean batchable)`
`void`
`setFirst(UnsignedInteger first)`
`void`
`setLast(UnsignedInteger last)`
`void`
`setRole(Role role)`
`void`
`setSettled(boolean settled)`
`void`
`setState(DeliveryState state)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Disposition

public Disposition()

### Disposition

public Disposition(Disposition other)

## Method Details

### getRole

public Role getRole()

### setRole

public void setRole(Role role)

### getFirst

public UnsignedInteger getFirst()

### setFirst

public void setFirst(UnsignedInteger first)

### getLast

public UnsignedInteger getLast()

### setLast

public void setLast(UnsignedInteger last)

### getSettled

public boolean getSettled()

### setSettled

public void setSettled(boolean settled)

### getState

public DeliveryState getState()

### setState

public void setState(DeliveryState state)

### getBatchable

public boolean getBatchable()

### setBatchable

public void setBatchable(boolean batchable)

### invoke

public <E> void invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)

Specified by:
  `invoke` in interface `FrameBody`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### copy

public Disposition copy()

Specified by:
  `copy` in interface `FrameBody`
Returns:
  a deep copy of this FrameBody.